#pragma once
#include "Pascal.h"

//const wchar_t STORM_NAME[] = L"storm.dll";

typedef Pointer (__stdcall *SMemAlloc_1)(PtrUInt Size, PChar SourceFile, Integer SourceLine, Dword Flags);//external STORM_NAME index 401;
typedef Pointer (__stdcall *SMemFree_1)(Pointer Memory, PChar SourceFile, Integer SourceLine, Dword Flags);//external STORM_NAME index 403;
typedef Pointer (__stdcall *SMemReAlloc_1)(Pointer Memory, PtrUInt NewSize, PChar SourceFile, Integer SourceLine, Dword Flags);//external STORM_NAME index 405;

//SMemAlloc_1 SMemAlloc;
//SMemFree_1 SMemFree;
//SMemReAlloc_1 SMemReAlloc;

bool fRegistrStorm_1();

Pointer Allocate(PtrUInt Size);
Pointer ReAllocate(Pointer Memory, PtrUInt NewSize);
procedure Free(Pointer Memory);
PChar CloneString(PChar s);